---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/liblinetab001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4B6B0, symBinAddr: 0x8220, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4D5F0, symBinAddr: 0xA160, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4D9D8, symBinAddr: 0xA548, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4E978, symBinAddr: 0xB4E8, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4E980, symBinAddr: 0xB4F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4B330, symBinAddr: 0x80D0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4B334, symBinAddr: 0x80D4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4B338, symBinAddr: 0x80D8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4B488, symBinAddr: 0x80E8, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4B540, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4B544, symBinAddr: 0x81A4, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4B548, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4B54C, symBinAddr: 0x81AC, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4B550, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4B558, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4B570, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4B578, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4B580, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4B588, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4B590, symBinAddr: 0x81F0, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL8meth_tab, symObjAddr: 0xCD40, symBinAddr: 0x4020, symSize: 0x0 }
  - { offsetInCU: 0x90E3, offset: 0x90E3, size: 0x8, addend: 0x0, symName: __ZL2m0, symObjAddr: 0xD2E8, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x9108, offset: 0x9108, size: 0x8, addend: 0x0, symName: __ZL2m1, symObjAddr: 0xD2F8, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x912D, offset: 0x912D, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4B5D4, symBinAddr: 0x8204, symSize: 0x0 }
  - { offsetInCU: 0x914D, offset: 0x914D, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4B5D8, symBinAddr: 0x8208, symSize: 0x0 }
  - { offsetInCU: 0x9166, offset: 0x9166, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4B5E0, symBinAddr: 0x8210, symSize: 0x0 }
  - { offsetInCU: 0x91B8, offset: 0x91B8, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xBB8, symSize: 0xA0 }
  - { offsetInCU: 0x924D, offset: 0x924D, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0xB90, symSize: 0x28 }
  - { offsetInCU: 0x92B0, offset: 0x92B0, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0xB10, symSize: 0x80 }
  - { offsetInCU: 0x9544, offset: 0x9544, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xC58, symSize: 0x20C }
  - { offsetInCU: 0x96FD, offset: 0x96FD, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xE64, symSize: 0x28 }
  - { offsetInCU: 0x97C6, offset: 0x97C6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xE8C, symSize: 0xB0 }
  - { offsetInCU: 0x98BD, offset: 0x98BD, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xF3C, symSize: 0xD8 }
  - { offsetInCU: 0x99E2, offset: 0x99E2, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x1014, symSize: 0x24 }
  - { offsetInCU: 0x9A6D, offset: 0x9A6D, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x1038, symSize: 0x168 }
  - { offsetInCU: 0x9C49, offset: 0x9C49, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x11A0, symSize: 0x104 }
  - { offsetInCU: 0x9DC6, offset: 0x9DC6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x12A4, symSize: 0x154 }
  - { offsetInCU: 0x9FAA, offset: 0x9FAA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x13F8, symSize: 0xAC }
  - { offsetInCU: 0xA07F, offset: 0xA07F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x14A4, symSize: 0x14 }
  - { offsetInCU: 0xA0B8, offset: 0xA0B8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x14B8, symSize: 0x14 }
  - { offsetInCU: 0xA0F1, offset: 0xA0F1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x14CC, symSize: 0x14 }
  - { offsetInCU: 0xA26E, offset: 0xA26E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x14E0, symSize: 0x1A8 }
  - { offsetInCU: 0xA582, offset: 0xA582, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x1688, symSize: 0x9C }
  - { offsetInCU: 0xA63F, offset: 0xA63F, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x1724, symSize: 0x690 }
  - { offsetInCU: 0xB1D1, offset: 0xB1D1, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9080, symBinAddr: 0x2870, symSize: 0x30 }
  - { offsetInCU: 0xB25D, offset: 0xB25D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1DB4, symSize: 0x74 }
  - { offsetInCU: 0xB345, offset: 0xB345, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1E28, symSize: 0xB0 }
  - { offsetInCU: 0xB444, offset: 0xB444, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1ED8, symSize: 0x3C }
  - { offsetInCU: 0xB53A, offset: 0xB53A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1F14, symSize: 0x29C }
  - { offsetInCU: 0xB87D, offset: 0xB87D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x21B0, symSize: 0xD0 }
  - { offsetInCU: 0xB9AB, offset: 0xB9AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x2280, symSize: 0xC }
  - { offsetInCU: 0xBA6D, offset: 0xBA6D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x228C, symSize: 0x22C }
  - { offsetInCU: 0xBD28, offset: 0xBD28, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x24B8, symSize: 0x4 }
  - { offsetInCU: 0xBD6C, offset: 0xBD6C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x24B8, symSize: 0x4 }
  - { offsetInCU: 0xBD7E, offset: 0xBD7E, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x24BC, symSize: 0x124 }
  - { offsetInCU: 0xBEFC, offset: 0xBEFC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DF0, symBinAddr: 0x25E0, symSize: 0x4 }
  - { offsetInCU: 0xBF40, offset: 0xBF40, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DF0, symBinAddr: 0x25E0, symSize: 0x4 }
  - { offsetInCU: 0xBF52, offset: 0xBF52, size: 0x8, addend: 0x0, symName: _checkMeth, symObjAddr: 0x8DF4, symBinAddr: 0x25E4, symSize: 0x218 }
  - { offsetInCU: 0xC0D2, offset: 0xC0D2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLineNumberTable_linetab001_check, symObjAddr: 0x900C, symBinAddr: 0x27FC, symSize: 0x74 }
  - { offsetInCU: 0xC155, offset: 0xC155, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x90B0, symBinAddr: 0x28A0, symSize: 0x358 }
...
